Skip to main content
PATCH
/
users
/
{id_user}
Update user
curl --request PATCH \
  --url http://0.0.0.0:8000/users/{id_user} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "first_name": "<string>",
  "last_name": "<string>",
  "email": "jsmith@example.com",
  "password": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "first_name": "<string>",
  "last_name": "<string>",
  "email": "jsmith@example.com",
  "organization": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id_user
string<uuid>
required

Body

application/json
first_name
string | null
last_name
string | null
email
string<email> | null
password
string | null
Minimum string length: 8

Response

Successful Response

id
string<uuid>
required
first_name
string
required
last_name
string
required
email
string<email>
required
organization
OrganizationResponse · object
required